{{- if .Values.explore.enabled }}
---
apiVersion: v1
kind: Secret
metadata:
  name: {{ template "cmem.name-explore" . }}
  labels:
    {{- include "cmem.labels-explore" . | nindent 4 }}
type: Opaque
stringData:
  {{- if .Values.explore.store.graphdb.enabled }}
  STORE_GRAPHDB_USERNAME: {{ .Values.explore.store.graphdb.user }}
  STORE_GRAPHDB_PASSWORD: {{ .Values.explore.store.graphdb.password }}
  {{- end }}
  {{- if .Values.explore.store.virtuoso.enabled }}
  STORE_VIRTUOSO_USERNAME: {{ .Values.explore.store.virtuoso.user }}
  STORE_VIRTUOSO_PASSWORD: {{ .Values.explore.store.virtuoso.password }}
  {{- end }}
  {{- if .Values.graphinsights.enabled }}
  EXPLORE_CMEM_SERVICE_CLIENT: {{ .Values.global.graphinsightsClientId }}
  EXPLORE_CMEM_SERVICE_CLIENT_SECRET: {{ .Values.global.graphinsightsClientSecret }}
  {{- end }}
{{- end }}